// Shows a simple dialog that gives brief explainations about what the
// icons commonly seen in Zendo signify.
#ifndef CICONLEGEND_H
#define CICONLEGEND_H

#include <gtkmm.h>

class CIconLegend : public Gtk::Dialog
{
public:
	CIconLegend();
protected:
	Gtk::Table	_MainTable;
	Gtk::Image	_DowngradeIco;
	Gtk::Label	_DowngradeLbl;
	Gtk::Image	_NotInstalledIco;
	Gtk::Label	_NotInstalledLbl;
	Gtk::Image	_InstalledIco;
	Gtk::Label	_InstalledLbl;
	Gtk::Image	_UpgradeIco;
	Gtk::Label	_UpgradeLbl;
};

CIconLegend::CIconLegend() :
_MainTable(2, 4),
_DowngradeIco(PIXMAP("version_downgrade.png")),
_DowngradeLbl("Packages which have an older version on the mirror", Gtk::ALIGN_LEFT),
_NotInstalledIco(PIXMAP("version_notinstalled.png")),
_NotInstalledLbl("Packages on the mirror which are not installed locally", Gtk::ALIGN_LEFT),
_InstalledIco(PIXMAP("version_other.png")),
_InstalledLbl("Installed packages which have no different version on the mirror", Gtk::ALIGN_LEFT),
_UpgradeIco(PIXMAP("version_upgrade.png")),
_UpgradeLbl("Packages which have a newer version on the mirror", Gtk::ALIGN_LEFT)
{
	get_vbox()->pack_end(_MainTable);
	_MainTable.attach(_DowngradeIco, 0, 1, 0, 1, Gtk::SHRINK, Gtk::SHRINK, 6, 6);
	_MainTable.attach(_DowngradeLbl, 1, 2, 0, 1, Gtk::SHRINK | Gtk::FILL, Gtk::SHRINK, 6, 6);
	_MainTable.attach(_NotInstalledIco, 0, 1, 1, 2, Gtk::SHRINK, Gtk::SHRINK, 6, 6);
	_MainTable.attach(_NotInstalledLbl, 1, 2, 1, 2, Gtk::SHRINK | Gtk::FILL, Gtk::SHRINK, 6, 6);
	_MainTable.attach(_InstalledIco, 0, 1, 2, 3, Gtk::SHRINK, Gtk::SHRINK, 6, 6);
	_MainTable.attach(_InstalledLbl, 1, 2, 2, 3, Gtk::SHRINK | Gtk::FILL, Gtk::SHRINK, 6, 6);
	_MainTable.attach(_UpgradeIco, 0, 1, 3, 4, Gtk::SHRINK, Gtk::SHRINK, 6, 6);
	_MainTable.attach(_UpgradeLbl, 1, 2, 3, 4, Gtk::SHRINK | Gtk::FILL, Gtk::SHRINK, 6, 6);

	set_title("Icon Legend");
	add_button(Gtk::Stock::CLOSE, -4);
	set_default_response(-4);
	show_all_children();
	run();
}

#endif
